package com.ossDemo;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.json.*;

public class CallbackController extends HttpServlet {

	private String packageId = null;

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

		resp.setContentType("text/html");
		resp.setStatus(HttpServletResponse.SC_OK);

		StringBuilder builder = new StringBuilder();
		String aux = "";

		while ((aux = req.getReader().readLine()) != null) {
			builder.append(aux);
		}

		String text = builder.toString();
		System.out.println("callback content:" + text);

		String callbackAuthorization = req.getHeader("Authorization");
		System.out.println("callback authorization: " + callbackAuthorization);

		try {
			JSONObject json = new JSONObject(text);
			packageId = json.get("packageId").toString();
			System.out.println("package ID: "+packageId);
			
			new Thread(new Runnable() {
				public void run() {
					try {
						new DownloadDocumentsService().download(packageId);
					} catch (IOException e) {
						e.printStackTrace();
					}
				}
			}).start();
		} catch (JSONException e) {
			e.printStackTrace();
		}

	}
}
